package com.supervision.ai.dto;

import lombok.Data;

import java.util.List;

@Data
public class ChatResDTO {

    private List<Choices> choices;
    private int created;
    private String id;
    private String model;
    private String request_id;
    private Usage usage;

    @Data
    public static class Choices {
        private String finish_reason;
        private int index;
        private Message message;
    }

    @Data
    public static class Message {
        private String content;
        private String role;
    }

    @Data
    public static class Usage {
        private int completion_tokens;
        private int prompt_tokens;
        private int total_tokens;
    }

}
