package com.supervision.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.supervision.model.KgInfo;
import com.supervision.qanything.dto.ChatResult;
import com.supervision.vo.kg.ChatResVo;
import com.supervision.vo.kg.UploadDocResVo;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.security.NoSuchAlgorithmException;

public interface KGService {
    ChatResVo chat(String question) throws NoSuchAlgorithmException;

    IPage<KgInfo> hotKG(Page<KgInfo> page);


    /**
     * 上传文档
     * @param kbId
     * @param file
     */
    void uploadDoc(KgInfo kgInfo,String kbId, File file) throws IOException;


    UploadDocResVo uploadDoc(String kbId, MultipartFile multipartFile);
}
