package com.supervision.vo.kg;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class ChatResVo {

    private String response;

    List<SourceKgInfo> sourceKgInfoList;

    public static ChatResVo makeError() {
        ChatResVo chatResVo = new ChatResVo();
        chatResVo.response = "未查询到相关信息";
        chatResVo.sourceKgInfoList = new ArrayList<>();
        return chatResVo;
    }

    public static ChatResVo makeSuccess(String response) {
        ChatResVo chatResVo = new ChatResVo();
        chatResVo.response = response;
        chatResVo.sourceKgInfoList = new ArrayList<>();
        return chatResVo;
    }
}
