package com.supervision.qanything.dto;

import lombok.Data;

@Data
public class ResultWrapper<T> {

    /**
     * 错误码 详情见 https://ai.youdao.com/DOCSIRMA/html/aigc/api/qanything/index.html 错误码
     */
    private String errorCode;

    /**
     * 描述
     */
    private String msg;

    /**
     * 请求id
     */
    private String requestId;

    private T result;

    public boolean isSuccess() {
        return "0".equals(errorCode);
    }
}
